//-------------------------------------------------------------------//

// Synopsis:	Rayleigh quotient.

// Syntax:	rq ( A , x )

// Description:

//	R is the Rayleigh quotient of A and x, x'*A*x/(x'*x).

//      Called by FV.

//	This file is a translation of rq.m from version 2.0 of
//	"The Test Matrix Toolbox for Matlab", described in Numerical
//	Analysis Report No. 237, December 1993, by N. J. Higham.

//-------------------------------------------------------------------//

rq = function ( A , x )
{
  return x'*A*x/(x'*x);
};
